/******************************************************************************
*
* Copyright (C) 2002 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* Any WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* this program.  If not, see <http://www.gnu.org/licenses/>.
*
*******************************************************************************/

#include "Emoticon.h"

//_________________________________________________________________
Emoticon::Emoticon( const QRegExp& regexp, const QStringList& strings, const QString& filename, const QString& description ):
    Counter( "Emoticon" ),
    regexp_( regexp ),
    strings_( strings ),
    resourceName_( filename ),
    description_( description ),
    icon_( filename )
{}

//_________________________________________________________________
void Emoticon::setIconSize( const QSize& size )
{ image_ = icon_.pixmap( size ).toImage(); }
