#ifndef IconNames_h
#define IconNames_h

/******************************************************************************
*
* Copyright (C) 2002 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* Any WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* this program.  If not, see <http://www.gnu.org/licenses/>.
*
*******************************************************************************/

#include "BaseIconNames.h"
#include <QString>

//! namespace for icon static name wrappers
namespace IconNames
{
    static const QString Connect = "network-connect.png";
    static const QString Disconnect = "network-disconnect.png";
    static const QString PreferencesUser = "preferences-desktop-user.png";
    static const QString History = "chronometer.png";
    static const QString UserOnline = "im-user.png";
    static const QString UserAway = "im-user-away.png";
    static const QString UserBusy = "im-user-busy.png";
    static const QString UserOffline = "im-user-offline.png";
};

#endif
